/api/datasets/{dataset_id}/property_definitions/

Property Definitions: Metadata about the properties associated with events, persons, or groups in Analytics. Property definitions provide context and details about the attributes tracked, such as data type, usage frequency, and whether they are numerical.

Get a list of property definitions for a specific dataset.

Path Params
string
required

Dataset ID of the dataset you're trying to access. To find the ID of the dataset, make a call to /api/datasets/.

Query Params
string
length ≥ 1

If sent, response value will have is_seen_on_filtered_events populated. JSON-encoded

string
length ≥ 1

JSON-encoded list of excluded properties

boolean | null

Whether to return only properties for events in event_names

integer

What group type is the property for. Only should be set if type=group

boolean | null

Whether to return only (or excluding) feature flag properties

boolean | null

Whether to return only (or excluding) numerical property definitions

string
length ≥ 1

Comma-separated list of properties to filter

string

Searches properties by name

string
enum
length ≥ 1
Defaults to event

What property definitions to return

Allowed:
Response
200

No response body

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here!